cascading.flow.stream.element

## Class BoundaryStage<Incoming,Outgoing>

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>
    - - cascading.flow.stream.element.BoundaryStage<Incoming,Outgoing>

- All Implemented Interfaces:
    ElementDuct

      public abstract class BoundaryStage<Incoming,Outgoing>
      extends Stage<Incoming,Outgoing>
      implements ElementDuct

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boundary` | `boundary`
    `protected FlowProcess` | `flowProcess`
    `protected java.util.List<Scope>` | `incomingScopes`
    `protected java.util.List<Scope>` | `outgoingScopes`
    `protected IORole` | `role`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundaryStage(FlowProcess flowProcess, Boundary boundary)`
    `BoundaryStage(FlowProcess flowProcess, Boundary boundary, IORole role)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boundary` | `getBoundary()`
    `java.util.Set<java.lang.String>` | `getBranchNames()`
    `FlowElement` | `getFlowElement()`
    `java.util.List<Scope>` | `getIncomingScopes()`
    `java.util.List<Scope>` | `getOutgoingScopes()`
    `protected void` | `handleException(java.lang.Throwable exception, TupleEntry tupleEntry)`
    `protected void` | `handleReThrowableException(java.lang.String message, java.lang.Throwable throwable)`
    `boolean` | `hasTrapHandler()`
    `void` | `initialize()` Called immediately after bind
    `void` | `setBranchNames(java.util.Set<java.lang.String> branchNames)`
    `void` | `setTrapHandler(TrapHandler trapHandler)`

    - ### Methods inherited from class cascading.flow.stream.duct.Stage

      `receive`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `bind, cleanup, complete, getNext, getNextFor, prepare, receiveFirst, start, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### boundary

          protected Boundary boundary

    - #### flowProcess

          protected final FlowProcess flowProcess

    - #### role

          protected IORole role

    - #### incomingScopes

          protected final java.util.List<Scope> incomingScopes

    - #### outgoingScopes

          protected final java.util.List<Scope> outgoingScopes

  - ### Constructor Detail

    - #### BoundaryStage

          public BoundaryStage(FlowProcess flowProcess,
                       Boundary boundary)

    - #### BoundaryStage

          public BoundaryStage(FlowProcess flowProcess,
                       Boundary boundary,
                       IORole role)

  - ### Method Detail

    - #### getBoundary

          public Boundary getBoundary()

    - #### handleReThrowableException

          protected void handleReThrowableException(java.lang.String message,
                                        java.lang.Throwable throwable)

    - #### handleException

          protected void handleException(java.lang.Throwable exception,
                             TupleEntry tupleEntry)

    - #### initialize

          public void initialize()

      Description copied from class: `Duct`
      Called immediately after bind
      Overrides:
        `initialize` in class `Duct<Incoming,Outgoing>`

    - #### setBranchNames

          public void setBranchNames(java.util.Set<java.lang.String> branchNames)

      Specified by:
        `setBranchNames` in interface `ElementDuct`

    - #### getBranchNames

          public java.util.Set<java.lang.String> getBranchNames()

      Specified by:
        `getBranchNames` in interface `ElementDuct`

    - #### setTrapHandler

          public void setTrapHandler(TrapHandler trapHandler)

      Specified by:
        `setTrapHandler` in interface `ElementDuct`

    - #### hasTrapHandler

          public boolean hasTrapHandler()

      Specified by:
        `hasTrapHandler` in interface `ElementDuct`

    - #### getFlowElement

          public FlowElement getFlowElement()

      Specified by:
        `getFlowElement` in interface `ElementDuct`

    - #### getOutgoingScopes

          public java.util.List<Scope> getOutgoingScopes()

      Specified by:
        `getOutgoingScopes` in interface `ElementDuct`

    - #### getIncomingScopes

          public java.util.List<Scope> getIncomingScopes()

      Specified by:
        `getIncomingScopes` in interface `ElementDuct`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.